"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const observable_1 = require("@reactive-js/observable");
exports.fromEvent = (target, eventName, selector) => observable_1.createObservable(observer => {
    const listener = (event) => {
        try {
            const result = selector(event);
            observer.next(result);
        }
        catch (cause) {
            observer.complete({ cause });
        }
    };
    target.addEventListener(eventName, listener, { passive: true });
    return () => {
        target.removeEventListener(eventName, listener);
    };
});
//# sourceMappingURL=event.js.map